org.etsi.uri._01903.v1_3

## Class ResponderIDType

- java.lang.Object
- - org.etsi.uri._01903.v1_3.ResponderIDType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:06:15+01:00",
                 comments="JAXB RI v2.3.7")
      public class ResponderIDType
      extends Object
      implements Serializable

  Java class for ResponderIDType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ResponderIDType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="ByName" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="ByKey" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponderIDType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getByKey()` Gets the value of the byKey property.
    `String` | `getByName()` Gets the value of the byName property.
    `void` | `setByKey(byte[] value)` Sets the value of the byKey property.
    `void` | `setByName(String value)` Sets the value of the byName property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponderIDType

          public ResponderIDType()

  - ### Method Detail

    - #### getByKey

          public byte[] getByKey()

      Gets the value of the byKey property.
      Returns:
        possible object is byte[]

    - #### setByKey

          public void setByKey(byte[] value)

      Sets the value of the byKey property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getByName

          public String getByName()

      Gets the value of the byName property.
      Returns:
        possible object is `String`

    - #### setByName

          public void setByName(String value)

      Sets the value of the byName property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.